# Namestitev

Linus Torvalds, after finding one of his file systems smashed by a new Beta kernel

Core dumping fsck's tend to make me nervous.

Brez skrbi! Čeprav lahko uporaba beta programske opreme povzroči precej težav, ni posebej verjetno, da bi namestitev KDE uničila vaš disk. To poglavje je zasnovano posebej zato, da vas vodi skozi namestiveni proces, tako da lahko kar najhitreje (in s kar najmanj truda) pričnete uporabljati vaše novo namizje. Kot pri vseh namestitvah okenskih upravljalnikov je priporočljivo da naredite varnostno kopijo vseh X11 specifičnih nastavitvenih datotek preden pričnete z namestitvijo. Če ne poznate natančno njihove lokacije, poizkusite z vsemi skritimi datotekami (`.*`) v vašem domačem imeniku in imeniku `/usr/X11/lib/X11/xdm`.

## Zahteve

Preden namestite KDE, se prepričajte, da vaš sistem izpolnjuje naslednje zahteve:

- Delujoč, POSIX kompatibilen UNIX sistem. UNIX-i, za katere je znano da delajo s KDE vključujejo: Linux, FreeBSD, Solaris, HP-UX in MkLinux. Trudimo se, da bi bil KDE kmalu dosegljiv na še več platformah.

- Nekaj prostega prostora na particiji, kjer bo ustvarjen `/opt/kde` . Priporočamo, da rezervirate približno 50MB, če vaš sistem podpira deljene knjižnice in ustrezno več, če jih ne. Če morate ali želite zgraditi KDE iz izvornega drevesa potem prosim rezervirajte okrog 100MB v `/usr/src`.

- Delujoč sistem X11 z ali brez xdm. Če še niste namestili X Window System potem najprej preverite namestitveni medij vaše različice UNIX-a, ali vsebuje primerno različico. Če je ne najdete, obiščite spletno stran XFree86 kjer dobite več informacij o tem, kako dobiti in namestiti X Window System, oziroma kontaktirajte vašega UNIX prodajalca UNIX-a za podporo.

- Knjižnice Qt, različice 2.2. Dobite jih lahko na Troll Techovem FTP strežniku v formatih rpm in tgz.

Opozorilo preden začnete: Preden nadgradite s prejšnje različice KDE, priporočamo, da storite naslednje:

    cd /opt/kde
    tar cfvz ~/KDE-old-version-backup.tar.gz *

## Linux: nameščanje RPM-ov za RedHat, Caldero in SuSE.

Uporaba RPM-ov je najlažja metoda da dobite in namestite KDE. Obiščite vaše priljubljen zrcalni strežnik KDE in njegov imenik `/pub/kde/stable/distribution/rpm`. Tukaj lahko vidite imenike za različne operacijske sisteme. Trenutno so podprte arhitekture i386, alpha in sparc. Pakete rpm lahko prav tako najdete na straneh Red Hata kot so sunsite.unc.edu ali ftp.redhat.com.

Osnovni sistem sestavljajo datoteke `kde-component.architecture.rpm` Rabite najmanj kdesupport, kdelibs in kdebase. Ko ste dobili osnovno distribucijo lahko ostale pakete naložite po želji oziroma le tiste, za katere mislite, da vam bodo prišli prav.

Sedaj pa lahko pričnete nameščati osnoven paket. Če nameščate KDE prvič, uporabite

    rpm -i  kdesupport.arch.rpm
    rpm -i  kdelibs.arch.rpm
    rpm -i  kdebase.arch.rpm

Te komponente morajo biti nameščene v naštetem vrstnem redu inpred vsemi drugimi komponentami KDE.

Če nadgrajujete prejšnjo različico poskusite

    rpm -Uvh kde-component.arch.rpm

Še nekrat: zgoraj našteti vrstni red mora biti ohranjen in podane komponente morajo biti nameščene pred vsemi drugimi.

To bo odpakiralo osnovno distribucijo in jo privzeto namestilo v `/opt/kde`.

Če je bila namestitev osnovnih paketov uspešna, lahko namestite preostale pakete (uporabite `-Uvh` namesto `-i` da nadgradite obstoječo različico) na enak način.

## Linux: nameščanje paketov DEB za debian

Tudi namestitev v sistemu Debian je dokaj preprosta. Našli boste le pakete za Debian 2.2 (Potato) in 3.0 (Woody). Opisali bomo nameščanje paketov za Debian 2.2, ki je stabilna različica, saj je Debian 3.0 še v razvoju. Vendar pa je namestitev v obeh različicah skoraj identična. Glavna razlika je v tem, da je KDE v Debian 3.0 uradno vključen in vam ni treba določiti posebne lokacije, da najdete pakete deb za KDE.

V prvem koraku bomo sistemu povedali, kje lahko najde pakete deb. Seznam naslovov Debian paketov se nahaja na vašem disku v `/etc/apt/sources.list`. V to datoteko morate dodati naslednjo vrstico: `http://kde.tdyc.com/ stable kde2`

Potem morate osvežiti vašo lokalno bazo podatkov, tako da vaš sistem ve, da so na voljo novi paketi. Vtipkajte naslednji ukaz:

    apt-get update

Končno lahko namestite osnovne komponente KDE. To storite tako, da vtipkate:

    apt-get install kdebase

Če želite namestiti več komponent KDE poizkusite nekatere ali pa kar vse naslednje možnosti:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

Morda vas bo zanimalo kako namestiti vaš jezik.

    apt-get install
    kde-i18n-xx

kjer morate xx zamenjati s kodo jezika.

Nastavitvene datoteke KDE bodo nameščene v `/etc/kde2`, izvedljive v `/usr/bin` in večina drugih v `/usr/share` v rezlične imenike.

Če nadgrajujete s prejšnje različice KDE, potem izvedite naslednje korake. Najprej dopolnite datoteko `/etc/apt/sources.list` tako, da spremenite vrstico z lokacijo paketov KDE v: `http://kde.tdyc.com/ stable kde2`. Nato osvežite bazo podatkov paketov:

    apt-get update

Končno namestite osnovni sitem:

    apt-get install kdebase
    apt-get dist-upgrade

Če želite namestiti več komponent KDE poizkusite nekatere ali pa kar vse naslednje možnosti.

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

## Uporaba TGZ za nameščanje v drugih sistemih

Če vaša distribucija nima RPM ali DEB arhivskega formata ali pa sloh ne upoprabljate Linuxa, potem morate KDE prevesti sami. V prihodnosti načrtujemo binarno distribucijo, ki vključuje svoj namestitevni program.

Da lahko prevedete in namestite KDE rabite morajo biti na vašem disku nameščeni naslednji elementi:

- ANSI-C prevajalnik, npr. GNU C compiler (GCC).

- ANSI-C++ prevajalnik, npr. GNU C++ (G++).

- Program make.

- Qt development različice 2.2 ali višje.

- X11 razvijalska različica (include datoteke pogosto manjkajo)

Ko enkrat imate vse te programe, pojdite na vaš priljubljeni zrcalni strežnik KDE in pridobite sledeče datoteke iz imenika `/pub/kde/stable/(najnovejša različica)`:

- `kdesupport-version.tar.gz`

- `kdelibs-version.tar.gz`

- `kdebase-version.tar.gz`

- katerikoli drug paket, ki ga želite namestiti. Svetujemo vam, da vzamete vsaj kdeutils.

kjer (version) nadomestite s številko trenutne raličice. Ko ste naložili vse, kar potrebujete, izvlečite te datoteke v `/usr/src`. Ta proces bi moral ustvariti sledečo imeniško strukturo:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (katerikoli drug paket)

Poskrbite, da imate pisalno dovoljenje v `/opt/kde`.

Sedaj morate prevesti in namestiti pakete z uporabo:

1. `cd` v imenik paketa, ki ga želite namestiti (glejte zgoraj)

2. `./configure` (z opcijami, ki jih želite uveljaviti)

3. `make`

4. `make install`

Uporabite gornje korake na vsakem paketu, ki ga želite namestiti.

Ta navodila so uporabna za skoraj vsak dosegljiv paket izvorne kode, ne le za pakete KDE.

Vsaka prilagoditvena skripta ima na razpolago več opcij. Nekatere so splošne za vse pakete, druge pa specifične za vsakega posebej. Sledeče je rezultat ukaza `configure `--help`` v kdelibs:

      --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in DIR

Mnoge opcije niso zahtevane in so uporabne le za premostitev znanih težav(npr. `--disable-FEATURE`). Ker so nakatere pomembne, na primer --with-shadow, bi morali vedno preveriti dosegljive možnosti.

Pomembna možnost je `--prefix`. Ta možnost določa pot, kamor naj configure namešča (za kdesupport in kdelibs) ali kam naj pogleda za knjižnicami (za druge pakete). Privzeto bo configure pogledal v `/opt/kde`. Če želite namestiti KDE v `/usr/local/kde`, morate uporabiti `configure `--prefix /usr/local/kde``.

Če ste namestili knjižnice Qt na nenavadnem mestu, na primer v `$HOME/src/qt`, morate uporabiti `configure `--with-qt-dir=$HOME/src/qt``. Privzeto configure pogleda v najbolj običajne kraje, kjer se morda nahajajo Qt, preden obupa.

Če imate težave, ki jih ne morete rešiti pošljite kopijo datoteke `config.log` na naslov v datoteki `README` v problematičnem paketu.

KDE morate namestiti v naslednjem vrstnem redu: kdesupport, kdelibs, nato pa programske pakete (na primer kdebase). Vsi programski pakete bi morali biti odvisni le od kdelibs, tako da jih lahko prevajate hkrati (če imate dovolj zmogljiv računalnik).

Če se želite poslužiti zmožnosti večprocesorskih sistemov, poskusite `make `-j št. procesorjev`` namesto `make`.

### Od platforme odvisne opombe

#### Linux

Za Linux lahko večino za izgrdnjo KDE potrebnih orodij najdete ali na ftp://sunsite.unc.edu/pub/Linux/GCC ali pa ftp://sunsite.unc.edu/pub/GNU. The Knjižnice Qt lahko najdete na ftp://ftp.troll.no/pub/qt/linux, dosegljive v obliki izvorne kodaeali pa v formatu RPM. Oba vključujeta podrobna navodila o tem, kako ju namestiti. Include datoteke za X11 programe bi morale biti dosegljive na ftp://ftp.xfree86.org v razdelku xdevel.

## Zahtevane spremebe v vaših nastavitvenih datotekah

Potem ko ste postavili binarne datoteke KDE v njihov končni imenik, je tu še nekaj prilagoditev, ki jih morate narediti v vaših zagonskih skriptah.

Sledeč postopek je bil preizkušen na SuSE Linux 5.0 in bi moral biti združljiv tudi z drugimi popularnimi UNIX-i. Vedno pripravite vrnostne kopije nastavitvenih datotek, preden jih spreminjate! Dodajte sledeče na konec vašega /etc/profile:

    export PATH=$PATH:/opt/kde/bin
    export KDEDIR=/opt/kde

Nato uredite datoteko .xinitrc v vašem domačem imeniku. Poglejte v vrstico, ki kliče okenski upravljalnik in ga nadomestite s `startkde`.

Sedaj, ko je bilo vse, kar je potrebno za zagon KDE nameščeno, lahko pogledate v 4. poglavje, kjer boste prvič pognali KDE. Če gre kaj narobe, boste morda morali sami prevesti KDE. Preberite Uporaba TGZ za nameščanje v drugih sistemih za več informacij.

Namestitev smo naredili kar se da trpežno, tako da ne bi smeli naleteti na resnejše probleme razen v primeru, da je vaša konfiguracija eksotična. Če pa le naletite na težave, potem ne oklevajte in uporabite poštne liste KDE.